Package com.io7m.jtensors.generators

# Class Vector4FGenerator

java.lang.Object
com.io7m.jtensors.generators.Vector4FGenerator

All Implemented Interfaces:
  `net.java.quickcheck.Generator<Vector4F>`

public final class Vector4FGenerator extends Object implements net.java.quickcheck.Generator<Vector4F>
A vector generator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Vector4FGenerator(net.java.quickcheck.Generator<Double> in_gen)`
  Construct a generator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static net.java.quickcheck.Generator<Vector4F>`
  `create()`
  Create a generator initialized with a default component generator.
  `static net.java.quickcheck.Generator<Vector4F>`
  `createNormal()`
  Create a generator initialized with a default component generator that produces values in the range `[-1.0, 1.0]`.
  `static net.java.quickcheck.Generator<Vector4F>`
  `createSmall()`
  Create a generator initialized with a default component generator that produces values in the range `[-65536.0, 65536.0]`.
  `Vector4F`
  `next()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Vector4FGenerator

    public Vector4FGenerator(net.java.quickcheck.Generator<Double> in_gen)
    Construct a generator.
    Parameters:
      `in_gen` - A component generator

- ## Method Details

  - ### create

    public static net.java.quickcheck.Generator<Vector4F> create()
    Create a generator initialized with a default component generator.
    Returns:
      A generator

  - ### createSmall

    public static net.java.quickcheck.Generator<Vector4F> createSmall()
    Create a generator initialized with a default component generator that produces values in the range `[-65536.0, 65536.0]`.
    Returns:
      A generator

  - ### createNormal

    public static net.java.quickcheck.Generator<Vector4F> createNormal()
    Create a generator initialized with a default component generator that produces values in the range `[-1.0, 1.0]`.
    Returns:
      A generator

  - ### next

    public Vector4F next()
    Specified by:
      `next` in interface `net.java.quickcheck.Generator<Vector4F>`